﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "All Owner Reservations Requested Today";
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">


    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}



@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Owner Room Booking Management
}
<!DOCTYPE html>
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color:indianred">@ViewData["Title"]</h2>

    <div class="card-body">
        <form class="form-inline mb-3 ml-3 d-flex justify-content-center">



            <input value="@Model.SearchField" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-primary" type="button" onclick="search()">Search</button>
            @*<div class="input-group-append">
                    <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
                </div>*@
        </form>

        <div class="table-responsive-lg p-2" id="table">
            @{
                int noOfbooking = Model.OwnerRoomBookingListCurrent.Count();
            }
            @if (noOfbooking != 0)
            {
                <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">
                        <tr>
                            <th scope="col">Slot Id</th>
                            <th scope="col">Main Guest Name</th>
                            <th scope="col">Booking Application Date</th>
                            <th scope="col">Booking No.</th>

                            <th scope="col">Main Guest Mobile</th>
                            @*<th scope="col">Main Guest Email</th>*@
                            @*<th scope="col">No of Adult</th>
                                <th scope="col">No of Child</th>*@
                            <th scope="col">No of Room</th>
                            <th scope="col">Arrival Date</th>
                            <th scope="col">Departure Date</th>
                            <th scope="col">Booking Status</th>
                            <th scope="col">Checked In</th>
                            <th scope="col">Insert Token</th>
                            <th scope="col">Confirm Check In</th>
                            <th scope="col">Confirm Check Out</th>
                            <th scope="col">Folio Detail</th>

                            @*<th scope="col">View</th>*@
                            @*<th scope="col">Edit</th>*@
                            <th scope="col">
                                Cancel
                            </th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var ownerRoomBooking in Model.OwnerRoomBookingListCurrent)
                        {
                            <tr>
                                <td>@ownerRoomBooking.SlotId</td>
                                <td>@ownerRoomBooking.GuestNameMain</td>

                                <td>@ownerRoomBooking.ApplicationDate.ToString("dd-MMM-yyyy hh:mm tt")</td>
                                @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                                {
                                    <td>Not Assigned</td>
                                }
                                else
                                {
                                    <td>@ownerRoomBooking.BookingToken</td>
                                }

                                <td>@ownerRoomBooking.GuestMobile</td>
                                @*<td>@ownerRoomBooking.Email</td>*@
                                @*<td>@ownerRoomBooking.NoOfAdult</td>
                                    <td>@ownerRoomBooking.NoOfChild</td>*@
                                <td>@ownerRoomBooking.NoOfRoomRequested</td>
                                @{
                                    var Startdate = (ownerRoomBooking.CheckInDate);
                                    var val1 = Startdate.ToString("dd-MMM-yyyy");
                                    <td>@val1</td>
                                }
                                @{
                                    var Enddate = Convert.ToDateTime(ownerRoomBooking.CheckOutDate);
                                    var val2 = Enddate.ToString("dd-MMM-yyyy");
                                    <td>@val2</td>
                                }

                                @if (ownerRoomBooking.IsBookingCompleted == "No")
                                {
                                    <td>Pending</td>
                                }
                                else if (ownerRoomBooking.IsBookingCompleted == "Yes")
                                {
                                    <td>Approved<i class="fa fa-check fa-2x" aria-hidden="true"></i></td>
                                }
                                else if (ownerRoomBooking.IsBookingCompleted == "Cancelled")
                                {
                                    <td>Cancelled<i class="fa fa-close fa-2x" aria-hidden="true"></i></td>
                                }
                                else
                                {
                                    <td>@ownerRoomBooking.IsBookingCompleted</td>
                                }
                                <td>@ownerRoomBooking.HasStayedOrNot</td>
                                <td>
                                    @if (ownerRoomBooking.IsBookingCompleted == "Yes")
                                    {
                                        <button type="button"
                                                class="btn btn-light"
                                                data-toggle="tooltip"
                                                data-placement="bottom"
                                                title="Insert Token"
                                                onclick="location.href = '@Url.Action("TokenForm", "Booking", new { bookingid = ownerRoomBooking.OwnerRoomBookngId })'"
                                             >
                                            <i class="icon-notebook">
                                            </i>
                                        </button>
                                    }
                                </td>
                                <td>
                                    @if (ownerRoomBooking.IsBookingCompleted == "Yes" && ownerRoomBooking.BookingToken != "" && String.IsNullOrEmpty(ownerRoomBooking.HasStayedOrNot) && ownerRoomBooking.CheckInDate <= DateTime.Today)
                                    {
                                        <button type="button"
                                                class="btn btn-light"
                                                data-toggle="tooltip"
                                                data-placement="bottom"
                                                title="Confirm Check In"
                                                onclick="location.href = '@Url.Action("CheckInForm", "Booking", new { bookingid = ownerRoomBooking.OwnerRoomBookngId })'"
                                               >
                                            <i class="fa fa-calendar-check-o">
                                            </i>
                                        </button>
                                    }
                                </td>
                                <td>
                                    @if (ownerRoomBooking.HasStayedOrNot == "Yes" && String.IsNullOrEmpty(ownerRoomBooking.HasCheckedOutOrNot) )
                                    {
                                        <button type="button"
                                                class="btn btn-light"
                                                data-toggle="tooltip"
                                                data-placement="bottom"
                                                title="Confirm Check Out"
                                                onclick="location.href = '@Url.Action("CheckOutForm", "Booking", new { bookingid = ownerRoomBooking.OwnerRoomBookngId })'"
                                                @*onclick="window.open('@Url.Action("CheckOutForm", "OwnersInfo", new { bookingid = ownerRoomBooking.OwnerRoomBookngId })', 'targetWindow', 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes'); return false;"*@>
                                            <i class="fa fa-calendar-times-o">
                                            </i>
                                        </button>
                                    }
                                </td>
                                <td>
                                    <button type="button"
                                            class="btn btn-light"
                                            data-toggle="tooltip"
                                            data-placement="bottom"
                                            title="View Folio"
                                            onclick="location.href = '@Url.Action("FolioDetail", "Booking", new {OwnerRoomBookngId = ownerRoomBooking.OwnerRoomBookngId})'">
                                        <i class="icon-eye">
                                        </i>
                                    </button>
                                </td>
                                @*<td>
                                        <button type="button"
                                                class="btn btn-light"
                                                data-toggle="tooltip"
                                                data-placement="bottom"
                                                title="Edit"
                                                onclick="location.href = '@Url.Action("OwnerRoomBookingEdit", "OwnersInfo", new {ownerRoomBookngId = ownerRoomBooking.OwnerRoomBookngId})'">
                                            <i class="icon-notebook">
                                            </i>
                                        </button>
                                    </td>*@
                                <td>
                                    @if (ownerRoomBooking.IsBookingCompleted != "Cancelled")
                                    {
                                        using (Html.BeginForm("OwnerRoomBookingDelete", "Booking", new { ownerRoomBookingId = ownerRoomBooking.OwnerRoomBookngId }, FormMethod.Post))
                                        {
                                            <button type="submit"
                                                    class="btn btn-light"
                                                    data-toggle="tooltip"
                                                    data-placement="bottom"
                                                    title="Cancel"
                                                    onclick="functionforSMS()">
                                                <i class="icon-trash">
                                                </i>
                                            </button>
                                        }
                                    }
                                </td>

                            </tr>
                        }

                    </tbody>
                </table>
            }
            else
            {
                <h3 align="center">No Bookings Found</h3>

            }
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int NoOfBooking = Model.NoOfBooking;
        }
        @if (NoOfBooking != 0)
        {
            <div class="pager" style="padding-top: 20px; direction: ltr; display: block;" align="center" id="pagination">

                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-center flex-wrap">
                        @{
                            int prev_idx = Model.index - 1;
                        }
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfBooking)">« Previous</a></li>
                        @{
                            int idx = Model.index;
                            int next_idx = Model.index + 1;
                            int noOfPost = Model.NoOfBooking;
                            if (NoOfBooking < 10)
                            {
                                for (int i = 1; i <= NoOfBooking; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                if (idx <= 5)
                                {
                                    if (NoOfBooking < 10)
                                    {
                                        for (int i = 1; i <= NoOfBooking; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfPost - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfPost - 9; i <= noOfPost; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }

                        }
                        <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @NoOfBooking)">Next »</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfBooking)">Last »</a></li>
                    </ul>
                </nav>

            </div>

        }


    </div>

</div>

<script>
    $("#" + @Model.index).addClass("active");
    var s2 = $("#searchfield").val();

    function search() {
        //alert("gdjsgajgd");
        var s = $("#searchfield").val();

        //alert(s);
        window.location.href = '../Booking/OwnerRequestedTodayRoomBookingManagement?searchfield=' + s + '&index=1' ;
    }
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "../Booking/OwnerRequestedTodayRoomBookingManagement?searchfield=" + s2 + "&index=" + i ;
        }
    }
    function next(i, n) {
        if (i <= n) {
            window.location.href = "../Booking/OwnerRequestedTodayRoomBookingManagement?searchfield=" + s2 + "&index=" + i ;
        }
    }
    function paginationPureJS(i) {
        window.location.href = "../Booking/OwnerRequestedTodayRoomBookingManagement?searchfield=" + s2 + "&index=" + i ;
    }
</script>
<script>
    function editfunction(booking_id) {
        window.location.href = "/Booking/OwnerRoomBookingEdit?ownerRoomBookngId=" + booking_id;
    }
</script>
<script>
    function deletefunction(booking_id) {
        window.location.href = "/Booking/OwnerRoomBookingDelete?ownerRoomBookingId=" + booking_id;
    }
</script>

<script>
    $("#" + @Model.index).addClass("active");
</script>


<script>
    $(document).ready(function() {
        @*$("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "Booking")';
        });*@
        //$("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#dashboardItem").remove();
        $('#printItem').click(function(){
            window.print();
        });
           $("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "Booking")';
        });
        $('#reloadItem').click(function() {
            location.reload();
        });
        $("#reportItem").click(function() {
         document.location = '@Url.Action("Report", "OwnersInfo")';
        });
        @*$("#reportItem").remove();*@
        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("RoomReport", "OwnersInfo")';
        });*@

    });
</script>
